#include <QtGui>
#include "ajoutercontact.h"

// Constructeur
ajoutercontact::ajoutercontact(QWidget *parent): QDialog(parent){
    setupUi(this);
    path = ":/Images/ajouter.png" ;
    line = "";
    this->setPhoto(path);

    ReadAndAplyConfiguration();
    ValiderLesChamps();

    connect(OkButton, SIGNAL(clicked()), this, SLOT(accept()));
}

void ajoutercontact::ValiderLesChamps(){
    QRegExp RegEmail("^[\\w|\\.]+@[\\w]+\\.[\\w]{2,4}$") ;
    this->EmailLineEdit->setValidator(new QRegExpValidator(RegEmail,this));

    QRegExp RegTel("[0-9]{10}");
    this->DomicileLineEdit->setValidator(new QRegExpValidator(RegTel,this));
    this->PortableLineEdit->setValidator(new QRegExpValidator(RegTel,this));
}

void ajoutercontact::Afficherstring(QString s) {
     QMessageBox::information(this,"info",s);
}

void ajoutercontact::on_ParcourirButton_clicked() {
    QString newpath = QFileDialog::getOpenFileName(this, tr("Ajouter une image "),
                                                   QString(),
                                                   "Images (*.png *.gif *.jpg *.jpeg)");

    if(newpath.isNull()) newpath = this->path;
    else {
        this->setPhoto(newpath);
        this->path = "C:/Contact/Images/"+GenerateName();
        QFile::copy(newpath,path);
    }
}

void ajoutercontact::setPhoto(QString path) {
    QPixmap map;
    map.load(path);
    this->PhotoLabel->setPixmap(map.scaled(80,80));
}

QString ajoutercontact::GenerateName() {
    QString name;
    int diff = 'Z'-'A';
    for(int i=0 ; i < 10 ; i++){
        char c = 'A'+(rand() % diff);
        name += QChar(c);
    }
    return name;
}


void ajoutercontact::ReadAndAplyConfiguration() {
    QFile Config(Configuration);
        Config.open(QIODevice::ReadOnly);
            int r = atoi(Config.readLine());
            int g = atoi(Config.readLine());
            int b = atoi(Config.readLine());
            this->setPalette(QColor(0,0,0));
            this->setPalette(QPalette(QColor(r,g,b)));
        Config.close();
}

void ajoutercontact::on_EmailLineEdit_textChanged() {
    this->OkButton->setEnabled(this->EmailLineEdit->hasAcceptableInput()&&
                               this->DomicileLineEdit->hasAcceptableInput()&&
                               this->PortableLineEdit->hasAcceptableInput());
}

void ajoutercontact::on_DomicileLineEdit_textChanged() {
    this->OkButton->setEnabled(this->PortableLineEdit->hasAcceptableInput());
}

void ajoutercontact::on_PortableLineEdit_textChanged() {
    this->OkButton->setEnabled(this->DomicileLineEdit->hasAcceptableInput());
}
