#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "ui_mainwindow.h"

#include <QMainWindow>
#include <QStandardItemModel>
#include <QtGui>
#include <QTextStream>

class QAction ;

namespace Ui {
class  MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
protected :
    void closeEvent(QCloseEvent *event);

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    QString ToString(int num);
    void MisAjour();
    void RemoveLineFromFile(int index);
    void InitialiserTableWidget();
    void RemplireTableWidget();
    void RemplireFormulaire();
    void SetTableWidgetEmpty();
    void CreateMenu();
    void CreateActions();
    void CreateDirectoryContact();
    void CreateDirectoryImages();
    void CreateFileContact();
    void SetPhoto(QString path);
    void RemovePhoto(QString path);
    void Afficherstring(QString s);
    int ContactExist(QString nom,QString prenom);
    void AddLineIntoFile(QString line,int pos);


private slots:
    void on_tableWidget_cellChanged(int row, int column);
    void on_tableWidget_itemSelectionChanged();
    void on_SupprimerButton_clicked();
    void NewContact();
    void DeleteContact();
    void ModifyContact();
    void FindContact();
    void TrierParNom();
    void TrierParPrenom();
    void Apropos();
    void Quitter();
    void DefineTheme();
    void ReadAndAplyConfiguration();
    void SetDefaultConfiguration();

    void on_AjouterButton_clicked();

private:
    Ui::MainWindow *ui;
    QAction *New ;
    QAction *Delete ;
    QAction *Modify ;
    QAction *FindAction ;
};

#endif // MAINWINDOW_H
